## C compiler and compiled library files
# Prerequisites
*.d

# Object files
*.o
*.ko
*.obj
*.elf

# Linker output
*.ilk
*.map
*.exp

# Precompiled Headers
*.gch
*.pch

# Libraries
*.lib
*.a
*.la
*.lo

# Shared objects (inc. Windows DLLs)
*.dll
*.so
*.so.*
*.dylib

# Executables
*.exe
*.out
*.app
*.i*86
*.x86_64
*.hex

# Debug files
*.dSYM/
*.su
*.idb
*.pdb

## R environment, data and package build intermediate files/folders
# R Data Object files
# *.Rds     # git-lfs
# *.rds     # git-lfs
*.Rdata

# Example code in package build process
*-Ex.R

# Output files from R CMD check
/*.Rcheck/

# produced vignettes
vignettes/*.html
vignettes/*.pdf

# knitr and R markdown default cache directories
/*_cache/
/cache/

# Temporary files created by R markdown
*.utf8.md
*.knit.md

# R documentation
*.Rd

## R session, RStudio and VSCode files
# RStudio files
.Rproj.user/

# History files
.Rhistory
.Rapp.history

# Session Data files
*.RData
*.Rdata

# R Profiling
*.Rprof

# VSCode configuration
.vscode/
.lintr

## Archives, compressed files/folders
# Output files from R CMD build
*.tar.gz
*.zip

## Further project development folders/files
# General Work In Progress files
wip/
stash/
simulations/

# PDFs
*.pdf

# LaTeX (ignore everything except *.tex and *.bib files)
**/LaTeX/*
!**/LaTeX/*.tex
!**/LaTeX/*.bib
**/LaTeX/*-blx.bib

mlda_analysis/
References/
dataAnalysis/chess/*.Rdata
dataAnalysis/Classification of EEG/

*.csv
*.csv.log

!**/AOS-accepted/images/*.pdf
!**/AOS-accepted/plots/*.pdf

# Include subfolders for images and plots
!**/LaTeX/plots/
**/LaTeX/plots/*
!**/LaTeX/plots/*.tex
!**/LaTeX/plots/*.csv
!**/LaTeX/images/
**/LaTeX/images/*
!**/LaTeX/images/*.tex

# Images (except images used in LaTeX)
*.png
*.svg
!**/LaTeX/*.png
